*{
    font-family:'Poppins',sans-serif;
}

.chatbot-toggle{

    position:fixed;
    right:25px;
    bottom:25px;

    width:65px;
    height:65px;

    border-radius:50%;

    background:#2563eb;

    color:white;

    display:flex;
    align-items:center;
    justify-content:center;

    cursor:pointer;

    font-size:28px;

    z-index:9999;

    box-shadow:
    0 10px 30px rgba(0,0,0,0.2);

}

.chatbot-box{

    position:fixed;

    right:25px;
    bottom:100px;

    width:360px;
    height:550px;

    background:white;

    border-radius:25px;

    overflow:hidden;

    display:none;
    flex-direction:column;

    box-shadow:
    0 15px 40px rgba(0,0,0,0.15);

    z-index:9999;

}

.chatbot-header{

    background:#2563eb;

    color:white;

    padding:18px;

    display:flex;
    justify-content:space-between;
    align-items:center;

}

.chatbot-body{

    flex:1;

    padding:20px;

    overflow-y:auto;

    background:#f8fafc;

}

.chatbot-footer{

    padding:15px;

    display:flex;
    gap:10px;

    border-top:1px solid #ddd;

}

.bot-message,
.user-message{

    padding:14px 18px;

    border-radius:18px;

    margin-bottom:15px;

    max-width:85%;

    line-height:1.6;

}

.bot-message{

    background:#e2e8f0;

}

.user-message{

    background:#2563eb;

    color:white;

    margin-left:auto;

}

.typing{

    opacity:.7;
    font-style:italic;

}